Ryzom - Bug # 1529

Status: Rejected Priority: Normal
Author: thannatos Category: OS: GNU/Linux
Created: 05/21/2013 Assignee:

Updated: 06/19/2014 Due date:

Subiject: Crash at startup, uiChapterV not found

Description

| run Ubuntu 13.10 with Ryzom from the ppa:ryzom-isv/ppa (raring)

00000 ubuntu @ ubuntu-devel 0000 19:57:04 Tue May 21 0000 ~ 00

00000 $000 gdb /opt/ryzom/ryzom_client

GNU gdb (GDB) 7.5.91.20130417-cvs-ubuntu

Copyright (C) 2013 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.

This GDB was configured as "x86_64-linux-gnu".

For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/&gt;...

Reading symbols from /opt/ryzom/ryzom_client...(no debugging symbols found)...done.
(gdb) run

Starting program: /opt/ryzom/ryzom_client

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffee6bd700 (LWP 30276)]

[New Thread 0x7fffe5646700 (LWP 30277)]

[New Thread 0x7fffdee0f700 (LWP 30325)]

[Thread 0x7fffdee0f700 (LWP 30325) exited]

[New Thread 0x7fffdee0f700 (LWP 30326)]

[New Thread 0x7fffda60d700 (LWP 30327)]

[New Thread 0x7fffd9e0c700 (LWP 30328)]

HEY!

XML reading failed!

Interface XML reading failed!

Some XML files are corrupted and may have been removed.

Ryzom may need to be restarted to run properly.

Would you like to quit now?

(Y)es or (N)o ?N

Program received signal SIGSEGV, Segmentation fault.
0x0000000000da9a74 in ClnterfaceManager::configureQuitDialogBox() ()

History

#1 - 05/21/2013 08:41 pm - kervala

You shouldn't launch Ryzom using /opt/ryzom/ryzom_client because obviously you didn't download Ryzom data, try to launch /opt/ryzom/ryzom.sh

instead or just double click on the Ryzom icon in launcher.
#2 - 05/21/2013 09:52 pm - thannatos

| began with the shell script through the launcher, but to understand the issue | though it was better with GDB ;)
I have a crash file but | can't send the 87Mb here because of a timeout error, so | published it there :
http://ubuntuone.com/3UYOWgQyPm8A4jy4hkUe3k

#3 - 05/21/2013 10:04 pm - kervala

Thanks but you didn't need to upload the crash file :(

ClinterfaceManager::configureQuitDialogBox() is enough to understand what happened. You chose to continue to display the interface without files, so

it crashed.

#4 - 05/22/2013 06:47 pm - thannatos

The game crashes before | choose Y or N.

| did a complete reinstallation and the issue still occurs.

#5 - 05/22/2013 06:53 pm - thannatos

Same issue when | use the client provided by your PPA.

Ryzom broken on the PPA, uninstallable on Fedora... | can't play :(

#6 - 05/22/2013 06:56 pm - thannatos

The difference is that | can't update the client with the older package, but | don't see this error with the most recent one so | think the data are up to

date:

Found 228 BNP files in /home/ubuntu/.ryzom/data

Updating /home/ubuntu/.ryzom/client.cfg...

Patching Ryzom data...

rsync: failed to connect to www.ryzom.com (178.33.225.92): Connection refused (111)

rsync error: error in socket 1O (code 10) at clientserver.c(122) [Receiver=3.0.9]

#7 - 05/22/2013 07:02 pm - kervala

| think that's a problem related to Winchgate servers, it seems like RSYNC server is down.
rsync -rtzv --progress --stats www.ryzom.com::ryzom/data/ data

rsync: failed to connect to www.ryzom.com (178.33.225.92): Connection refused (111)
rsync error: error in socket 1O (code 10) at clientserver.c(122) [Receiver=3.0.9]

#8 - 05/22/2013 07:52 pm - thannatos
| did nothing more and it works.

Did you do something ?
No matters, thank you :)

07/09/2015 2/3


http://ubuntuone.com/3UYOWgQyPm8A4jy4hkUe3k
http://www.ryzom.com

#9 - 05/22/2013 07:55 pm - kervala

You're welcome :)

Ulukyn launched the RSYNC server :)

#10 - 06/19/2014 02:21 am - kaetemi
- Status changed from New to Rejected

Files

client.log 666.8 kB 05/21/2013 thannatos

log.log 667.8 kB 05/21/2013 thannatos
